org.h2.result

## Interface Row

All Superinterfaces:
  SearchRow

All Known Implementing Classes:
  RowImpl

    public interface Row
    extends SearchRow

Represents a row in a table.

### Field Summary

Fields
`static Row[]` `EMPTY_ARRAY`
`static int` `MEMORY_CALCULATE`

### Fields inherited from interface org.h2.result.SearchRow

`ROWID_INDEX`

### Method Summary

Methods
`int` `getByteCount(Data dummy)` Get the number of bytes required for the data.
`Value[]` `getValueList()` Get values.
`boolean` `hasSharedData(Row other)` Check whether this row and the specified row share the same underlying data with values.
`boolean` `isDeleted()` Check if the row is deleted.
`boolean` `isEmpty()` Check if this is an empty row.
`void` `setDeleted(boolean deleted)` Mark the row as deleted.

### Methods inherited from interface org.h2.result.SearchRow

`getColumnCount, getKey, getMemory, getValue, setKey, setKey, setValue`

### Field Detail

#### MEMORY_CALCULATE

    static final int MEMORY_CALCULATE

See Also:
  Constant Field Values

#### EMPTY_ARRAY

    static final Row[] EMPTY_ARRAY

### Method Detail

#### getByteCount

    int getByteCount(Data dummy)

Get the number of bytes required for the data.

Parameters:
  `dummy` - the template buffer
Returns:
  the number of bytes

#### isEmpty

    boolean isEmpty()

Check if this is an empty row.

Returns:
  `true` if the row is empty

#### setDeleted

    void setDeleted(boolean deleted)

Mark the row as deleted.

Parameters:
  `deleted` - deleted flag

#### isDeleted

    boolean isDeleted()

Check if the row is deleted.

Returns:
  `true` if the row is deleted

#### getValueList

    Value[] getValueList()

Get values.

Returns:
  values

#### hasSharedData

    boolean hasSharedData(Row other)

Check whether this row and the specified row share the same underlying data with values. This method must return `false` when values are not equal and may return either `true` or `false` when they are equal. This method may be used only for optimizations and should not perform any slow checks, such as equality checks for all pairs of values.

Parameters:
  `other` - the other row
Returns:
  `true` if rows share the same underlying data, `false` otherwise or when unknown